Subject: RE: bug#11138: 23.3; on Windows, message-box does not display line breaks in the message

From: "Drew Adams" <[email-masked]>
Date: Sat, 31 Mar 2012 08:26:50 -0700

> (message-box (concat "First line in a long-ish message.\n"
>                      "This is line number 2 in the message."))
>
> The message gets displayed in one very wide dialog box. 
> I would expect it to break at the \n.  Line breaks work, apparently,
> on Linux, so I am told. But I have confirmed with others that they
> see this anomalous message-box behavior on Windows . 

Yes, I can confirm that this is broken on MS Windows, and has been so back
through at least Emacs 20.  The newline char is displayed (in emacs -Q, at
least) as an empty box.